/*********************** DATATABLES **************************************************/
.tools-header .nav.navbar-right li {
    display: inline-block;
    height: 35px;
    line-height: 2.1;
}
.menu-wrapper{
    min-width: max-content;
    display: flex;
    gap:16px
  }
.tools-header .nav.navbar-right li a {
    padding: 10px 24px;
    color: var(--white);
    background: var(--primary-900);
    border-radius: 8px;
    font-size: 12px;
    font-weight: 500;
    text-transform: uppercase;
    line-height: 1;
}

hr {
    display: none;
}

.demandeList_datatable_nav_menu{
    display: flex;
    align-items: center;
    width:100%;
    overflow: hidden;
    justify-content: space-between;
    border-bottom: 1px solid var(--blue-gray-100);
}

.demandeList_datatable_nav>div>a:hover,
    .demandeList_datatable_nav>div>a.isClicked {
        background: var(--Background, rgba(248, 243, 236, 0.87));
    }

.dataTable_search_icon {
    display: none;
}

.demandeList_datatable_nav_mobile {
    display: flex;
    /*justify-content: space-around;
    padding-top: 15px;*/
}

.demandeList_datatable_nav_mobile>div>a {
    display: flex;
    color: var(--Primary-800, #2863EC);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Inter;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;
    letter-spacing: 0.25px;
}
.dataTable-wrapper .dataTable-top .dataTable-input {
    color: var(--blue-gray-900);
}

.dataTable-wrapper .dataTable-top .dataTable-input::placeholder {
    color: var(--blue-gray-200);
    text-indent: 0;
}
.dataTable_search_icon {
    display: none;
}
.buttons-wrapper{
    display: flex;
    height: 100%;
    flex-direction: row;
}
.buttons-wrapper i{
    margin-right:5px;
}
a.isClicked {
    color: white!important;
    background-color:#546e7a !important;
}
.info-wrapper > * {
    padding: 0.5em 0 0.5em 0;
  }

/* Style mobile*/
/* ex-600px */
@media only screen and (max-width: 1023px) {
    
    .row-delete{
        display: none !important;
    }

    .info-wrapper {
        display: flex;
        flex-direction: column;
      }
    .dataTable-top{
        display: flex;
        flex-direction: row;
        justify-content: start;
        align-items: flex-start;
        gap:5px;
    }

    .filterContainer {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        /*width: 100%;*/
        gap:5px;
    }
    .button_search_icon{
        border:none;
        background-color: transparent;
    }
    /*.dataTable_search_icon {
        display: flex;
        justify-content: center;
        padding: 0 10px 0 10px;
        width: 40px;
    }*/
    /*.dataTable-search{
        width: 100%;
    }*/
}



/* End Style mobile*/

thead {
    display: none;
}

tr {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    min-height: 76px;
}

td {
    display: flex;
    word-wrap: break-word; /* For older browsers */
  overflow-wrap: break-word;
}

/*titre*/
/*
table>tbody>tr>td:nth-child(1) {
    flex-basis: 100%;
    font-size: 22px;
    font-style: normal;
    font-weight: 600;
    line-height: 24px;
    letter-spacing: 0.15px;
    margin-top: 18px;
    margin-bottom: 5px;
}*/


table>tbody>tr {
    border-bottom: 1px solid black;
    padding-left: 12px;
}



i[data-value="lie"], i[data-action="active"], i[data-action="disponible"] {
    display: inline-block;
    width: 100px; /* changed by steve from 130px to 100px for better readability */
    padding: 9px 0;
    background: #eee;
    border-radius: 6em;
    font-style: normal;
    text-align: center;
    color: var(--blue-gray-200);
    cursor:not-allowed;
}

i[data-action="active"][data-state="checked"], i[data-action="disponible"][data-state="checked"] {
    background: #b1f5cc;
    cursor: pointer;
    color: var(--blue-gray-900);
}

i[data-action="active"][data-state="unchecked"], i[data-action="disponible"][data-state="unchecked"] {
    background: #ffa5a5;
    cursor: pointer;
    color: var(--blue-gray-900);
}

.action-button {
    width: 30px;
    height: 30px;
    padding: 2px 6px;
    fill: var(--primary-900);
    background: transparent;
    border: none;
    border-radius: 20em;
    transition: all .2s ease-in-out;
}

.action-button.bouton_read_only {

    fill: var(--blue-gray-200) !important;

}
.action-button:hover {
    fill: white;
    background: var(--primary-900);
}
.action-button.bouton_read_only:hover {

    fill: var(--blue-gray-200) !important;
    background: none;

}

.action-button:active {
    transform: scale(.9);
}

.action-button[data-action="delete"]:hover {
    fill: black;
    background: #ffa5a5;
}

.dataTable-table td.valign-top,
.dataTable td.valign-top {
    vertical-align: top;
}
.demandeList_datatable_nav>a,.demandeList_datatable_nav  div  a {
    transition: all;
    transition-duration: 0.15s;
    padding: 8px 12px;
    border-radius: 5px;
    color: #0C1137;
    background-color: #dbe5e9;
    font-weight: 500;
    cursor: pointer;
}

.demandeList_datatable_nav {
    margin: 0;
    padding: 10px 20px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    overflow-x: auto;
    /*flex-grow: 1;*/
}

/*.locationFilterContainer,
.sectorFilterContainer {
    display: none;
}*/
/*************** DATA TABLES LISTE DEMANDE DESKTOP ************/

@media only screen and (min-width: 1024px) {

    hr {
        display: block;
    }

    .demandeList_datatable_nav_mobile {
        display: none;

    }

    .dataTable-table>tbody>tr>td,
    .dataTable>tbody>tr>td {
        padding: 8px 10px;
    }
    .tools-header .nav.navbar-right {
        list-style: none;
        display: flex;
        padding: 0;
    }
    .tools-header .nav.navbar-right li a:hover {
        background-color: var(--primary-800);
    }

    .tools-header .nav.navbar-right li a:before {
        position: relative;
        top: 2px;
        content: "+";
        margin-right: 8px;
        font-size: 24px;
        font-weight: 300;
    } 
    .tools-header .nav.navbar-right li {
        display: inline-block;
        height: 35px;
        line-height: 2.1;
    }

    /* inverse pour desktop*/
    .demandeList_datatableContainer .dataTable-top{
        display: flex;
        gap:10px;
    }

    .filterContainer {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap:10px;
    }

    thead {
        display: table-header-group;
    }

    tr {
        display: table-row;
    }

    td {
        display: table-cell;
    }



    .dataTable-wrapper {
        height: auto;
        position: relative;
    }

    .dataTable-table, .dataTable {
        max-width: 100%;
        width: 100%;
        border-spacing: 0px;
        overflow-x: auto;
    }

    .dataTable-table>tbody>tr>td,
    .dataTable-table>tbody>tr>th,
    .dataTable-table>tfoot>tr>td,
    .dataTable-table>tfoot>tr>th,
    .dataTable-table>thead>tr>td,
    .dataTable-table>thead>tr>th,    
    .dataTable>tbody>tr>td,
    .dataTable>tbody>tr>th,
    .dataTable>tfoot>tr>td,
    .dataTable>tfoot>tr>th,
    .dataTable>thead>tr>td,
    .dataTable>thead>tr>th {
        vertical-align: middle;
        padding: 4px 10px;
    }

    .dataTable-table th,
    .dataTable-table>tfoot>tr>th,
    .dataTable-table>thead>tr>th,
    .dataTable th,
    .dataTable>tfoot>tr>th,
    .dataTable>thead>tr>th {
        vertical-align: middle;
    }

    .dataTable-table>thead>tr>th>a,
    .dataTable>thead>tr>th>a {
        padding-right: 15px;
        color: var(--Primary-Variant, #0C1137);
        text-align: left;
        font-size: 12px;
        font-style: normal;
        font-weight: 600;
        line-height: 2.2;
        text-transform: uppercase;
    }

    .dataTable-table>thead>tr>th,
    .dataTable>thead>tr>th {
        border: none;
    }

    .dataTable-table>thead>tr,
    .dataTable>thead>tr {
        height: 51px;
        vertical-align: middle;
        text-align: center;
    }

    .dataTable-table>tbody,
    .dataTable>tbody {
        color: var(--black);
        font-family: Inter;
        font-size: 16px;
        font-style: normal;
        font-weight: 400;
        line-height: 1;
        cursor: default;
    }

    .dataTable-table>tbody>tr,
    .dataTable>tbody>tr {
        height: 60px;
    }

    .dataTable-table>thead>tr>th a,
    .dataTable-table>tbody>tr>td a,
    .dataTable>thead>tr>th a,
    .dataTable>tbody>tr>td a {
        color: black;
        text-decoration: none;
    }

    .dataTable-table>thead>tr>th a:hover,
    .dataTable-table>tbody>tr>td a:hover,
    .dataTable>thead>tr>th a:hover,
    .dataTable>tbody>tr>td a:hover {
        text-decoration: underline;
        text-underline-offset: 3px;
    }

    .dataTable-table>tbody>tr>td:first-of-type a,
    .dataTable>tbody>tr>td:first-of-type a {
        display: inline-block;
        width: 100%;
        line-height: 1.5;
    }

    .dataTable-table>thead>tr>th:first-of-type,
    .dataTable-table>tbody>tr>td:first-of-type,
    .dataTable>thead>tr>th:first-of-type,
    .dataTable->tbody>tr>td:first-of-type,
    #table_demande>tbody>tr>td:first-of-type {
        padding-left: 20px;
    }

    .dataTable-table>tbody>tr>td.request-status,
    .dataTable>tbody>tr>td.request-status {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        height: 60px;
    }

    .dataTable-sorter {
        width: initial;
    }

    .dataTable-sorter::after,
    .dataTable-sorter::before {
        right: 0;
    }

    .dataTable-sorter::before {
        bottom: 8px;
    }

    .dataTable-sorter::after {
        top: 4px;
    }


    #table_demande > tbody > tr > td:nth-child(1) {
        min-width: 190px;
    }

    /* a enlever plus tard */
    .demandeList_datatableContainer {
        padding-top: 0px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    hr {
        margin: 2px 0px;
    }
    .demandeList_datatable_nav>a:hover {
        background-color:#cee3eb ;
        
    }
    .demandeList_datatableContainer .dataTable-dropdown {
        position: absolute;
        top: -46px;
        right: 15px;
    }

    .dataTable-top {
        margin: 0 0 10px;
        padding: 10px 20px;
        border-top: 1px solid var(--blue-gray-100);
        border-bottom: 1px solid var(--blue-gray-100);
    }
    td > .buttons-table > i {
        margin: 0 5px 0 5px;
    }
    
    .dataTable-top:empty {
        display: none;
    }
    .buttons-table{
        display: flex;
        height: 100%;
        align-self: flex-end;
        align-items: center;
    }
    /* Karim */
    .dataTable-bottom {
        margin:0;
        padding: 10px 20px 0px 20px;
    }

    .dataTable-info {
        margin: 14px 0;
        font-size: var(--font-size-200);
        color: var(--blue-gray-400);
        cursor: default;
    }
    .dataTable-container {
        min-height: 375px;
        overflow-y: auto;
        margin: 0;
            padding: 0 20px;
    }
    .dataTable-wrapper.no-footer .dataTable-container {
        border: none;
    }
    table>thead {
        position: sticky;
        top: 0;
    }
    table>thead>tr>th:first-of-type {
        border-top-left-radius: 16px;
        border-bottom-left-radius: 16px;
    }
    table>thead>tr>th:last-of-type {
        border-top-right-radius: 16px;
        border-bottom-right-radius: 16px;
    }
    table>tbody>tr {
        padding: 0;
    }
    .dataTable-wrapper {
        width: 100%;
    }
    table .request-status {
        border-radius: 25px;
        height: 38px;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        padding-right: 12px;
        font-size: var(--font-size-300);
        background-color: var(--dyn-color);
        width: 130px;
    }
    table .request-status img {
        margin: 0 8px;
    }
    /*td:last-of-type {
        display: none;
    }*/
    table .table .cell-h1 td {
        padding: 1px 4px;
        font-size: 10px;
        font-weight: 600;
        text-transform: uppercase;
    }
    table .col-title {
        width: 25% !important;
    }
    table .col-name {
        width: 10% !important;
    }
    table .col-info {
        width: 20% !important;
    }
    table .col-description {
        width: initial !important;
    }
    table .col-rights {
        width: 45% !important;
    }
    table .col-root {
        width: 18% !important;
    }
    table .col-url {
        width: 35% !important;
    }
    table .col-email {
        width: 22% !important;
    }
    table .col-emergency {
        width: 30% !important;
    }
    table .col-date {
        width: 15% !important;
    }
    table .col-group {
        width: 10% !important;
    }
    table .col-sector {
        width: 10% !important;
    }
    table .col-location {
        width: 10% !important;
    }
    table .col-status {
        width: 12% !important;
    }
    table .col-icon,
    table .col-action {
        width: 4% !important;
    }
    
    table thead th {
        background-color: var(--white);
    }
    table thead th:not(.sortable) a {
        pointer-events: none;
    }
    table thead th:not(.sortable) a::before,
    table thead th:not(.sortable) a::after {
        display: none;
    }
    table tbody tr:hover td {
        background: #f6f6f6;
    }
    table tbody tr td:first-of-type {
        border-top-left-radius: 16px;
        border-bottom-left-radius: 16px;
    }
    table tbody tr td:last-of-type {
        border-top-right-radius: 16px;
        border-bottom-right-radius: 16px;
    }
    table tbody .col-title a {
        font-weight: 600;
    }
    table tbody .col-description {
        word-wrap: break-word;
        white-space: normal;
    }
    table tbody em {
        color: var(--blue-gray-500);
        font-style: normal;
    }
    #table_groups .col-title {
        width: 15% !important;
    }
    .table-group-rights {
        border-collapse: collapse;
        border: none;
        font-size: 14px !important;
        width: 100%;
    }
    .table-group-rights tr {
        border: none;
    }
    .table-group-rights tr.cell-h1 td {
        color: #546e7a !important;
        text-align: center;
        line-height: 1;
        border: none !important;
    }
    .table-group-rights tr td:not(:first-of-type) {
        min-width: 90px;
        padding: 0 20px;
        border-left: 1px solid #b0bec5;
        text-align: center;
    }
    .table-group-rights tr td:first-of-type {
        padding-right: 100px;
    }
    .table-group-rights tr td:last-of-type {
        border-right: 1px solid #b0bec5;
    }
    .table-group-rights td[data-action] {
        vertical-align: bottom;
    }
    .table-group-rights .icon-home,
    .table-group-rights .icon-active,
    .table-group-rights .icon-inactive {
        display: inline-block;
        width: auto;
        
    }
    .table-group-rights .icon-home {
        height: 11px;
        margin-left: 5px;
    }
    .table-group-rights .icon-active,
    .table-group-rights .icon-inactive {
        height: 18px;
        fill: none;
    }
    .icon-active {
        stroke: #08a045;
    }
    .icon-inactive {
        stroke: #f22222;
    }
}
#table_groups .groupe_sort{
    min-width: 70px;
    font-size: 14px;
}
#table_groups table thead th:not(.sortable) a {
    pointer-events:all;
}
#table_groups .table-group-rights {
    border-collapse: collapse;
    border: none;
    font-size: 14px !important;
    width: 100%;
}

#table_groups .table-group-rights tr {
    border: none;
}

#table_groups .table-group-rights tr.cell-h1 td {
    color: #546e7a !important;
    text-align: center;
    line-height: 1;
    border: none !important;
}

#table_groups .table-group-rights tr td:not(:first-of-type) {
    min-width: 90px;
    padding: 0 20px;
    border-left: 1px solid #b0bec5;
    text-align: center;
}

#table_groups .table-group-rights tr td:first-of-type {
    padding-right: 100px;
}

#table_groups .table-group-rights tr td:last-of-type {
    border-right: 1px solid #b0bec5;
}

#table_groups .table-group-rights td[data-action] {
    vertical-align: bottom;
}

#table_groups .table-group-rights .icon-home,
#table_groups .table-group-rights .icon-active,
#table_groups .table-group-rights .icon-inactive {
    display: inline-block;
    width: auto;
    
}

#table_groups .table-group-rights .icon-home {
    height: 11px;
    margin-left: 5px;
}

#table_groups .table-group-rights .icon-active,
#table_groups .table-group-rights .icon-inactive {
    height: 18px;
    fill: none;
}
#table_groups .icon-active {
    stroke: #08a045;
}

#table_groups .icon-inactive {
    stroke: #f22222;
}

#table_groups .sub_table_title{
    display: flex;
    justify-content: space-between;
    align-items: center;
    /*padding: 0 20px!important;*/
    vertical-align: middle;
    height: 40px;
    font-size: 18px;
}
#table_groups .sub_table_title_bis{
    text-align: center!important;
}
#table_groups tbody tr:first-of-type {
    height: 40px;
    vertical-align: middle;
}
#table-group:hover{
    background-color: #f6f6f6;
}
.table-group-rights thead th {
    background-color: transparent;
}
#table_groups>thead {
    background-color: var(--white);
    z-index: 1;
}
#table_groups th.groupe_sort {
    cursor: pointer;
}
#table_groups th.groupe_sort.asc::after {
    content: ' ▲';
}
#table_groups th.groupe_sort.desc::after {
    content: ' ▼';
}
#table_groups tbody {
    border-bottom: 1px solid #d9d9d9;
}
.tools-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
}
.tools-header .nav.navbar-right li a {
    padding: 10px 24px;
    color: var(--white);
    background: var(--primary-900);
    border-radius: 8px;
    font-size: 12px;
    font-weight: 500;
    text-transform: uppercase;
    line-height: 1;
}

.tools-header .nav.navbar-right li a:hover {
    background-color: var(--primary-800);
}

.tools-header .nav.navbar-right li a:before {
    position: relative;
    top: 2px;
    content: "+";
    margin-right: 8px;
    font-size: 24px;
    font-weight: 300;
}

.admin-form_container>form {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px;
    margin-bottom: 80px;
    padding: 24px;
    /*Karim overflow-y: scroll;*/
    /*overflow-y: auto;*/
    /*-ms-overflow-style: none;*/
    scrollbar-width: none;
}

.admin-form_container_center>form {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    margin-bottom: 80px;
    padding: 24px;
    scrollbar-width: none;
}

.admin-form_container input,
.admin-form_container textarea,
.admin-form_container select,
.admin-form_container span.input {
    width: 100%;
    margin: 0;
}

.admin-form_container::-webkit-scrollbar {
    display: none;
}

.admin-form_row {
    display: flex;
    flex-direction: column;
    height: 100%;
    gap:20px;
    flex: 47% 0 0;
    min-width: 259px;
}
.users-userform .admin-form_row,
.users-userupdate .admin-form_row {
    height: unset!important;
}
.admin-form_col {
    display: flex;
    flex-direction: column;
    height: 100%;
    gap:20px;
    flex: 47% 0 0;
}

.admin-form_container .input_container {
    margin-top: 0;
}
.admin-form_subtitle_block_container{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    width: 100%;
    gap: 20px;
}
.admin-form_row_evenly{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    flex-wrap: wrap;
    width: 100%;
    gap: 20px;
}
.admin-form_subtitle_block_container_group{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    width: 100%;
    gap: 20px;
}
.admin-form_subtitle_block_container_group>.admin-form_row{
    flex: 100% 0 0;
}
.admin-form_subtitle_block_container_group>.admin-form_row>.admin-form_col>#secteursField{
    margin : 0 !important;
    max-width: 47%;
    min-width: 259px;
}
.admin-form_subtitle_block_container_group>.admin-form_row>.admin-form_col .checkboxes{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
}
.admin-form_subtitle_block_container_group>.admin-form_row>.admin-form_col .checkboxes>.checkbox{
    
    width: 130px;
}
.admin-form_subtitle {
    font-size: 18px;
    font-weight: 600;
    width: 100%;
}

.admin-form_table_groups {
    table-layout: fixed;
    width: 100%;
    margin: 0 0 40px;
    border-spacing: 0;
}

.admin-form_table_groups .cell-h1 {
    color: #546e7a;
    background: transparent;
    font-size: 10px;
    font-weight: 600;
    text-transform: uppercase;
}

.admin-form_table_groups tr td:not(:first-of-type) {
    width: 12%;
    border-left: 1px solid #b0bec5;
    text-align: center;
}

.admin-form_table_groups tr td:first-of-type {
    padding: 0 6px;
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
}

.admin-form_table_groups tr td:last-of-type {
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
}

.fixed-bottom_row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: fixed;
    bottom: 0;
    left: 0!important;
    width: 100%;
    padding: 16px;
    background: white;
    z-index: 10;
}

body:has(.is_ClosedSideMenu) .fixed-bottom_row {
    left: 80px;
    transition: all 450ms cubic-bezier(0, 0.79, 0.88, 0.96);
}

body:has(.is_OpenSideMenu) .fixed-bottom_row {
    left: 240px;
    transition: all 250ms cubic-bezier(0, 0.79, 0.88, 0.96);
}

body:has(.admin-form_container) .footer_modal_button {
    display: none;
}

.admin-form_container .checkboxes {
    display: flex;
    gap: 0 20px;
}

.admin-form_container .checkboxes label {
    cursor: pointer;
}

.admin-form_container_center input[type=checkbox],
.admin-form_container input[type=checkbox],
.admin-form_container input[type=radio] {
    display: inline-block;
    width: initial;
    min-height: unset;
}

.admin-form_container input[type=checkbox]:focus,
.admin-form_container input[type=radio]:focus {
    outline: none;
}
#table_menus tbody tr td a{
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 5px;
}
.page .alert {
    margin: 0 20px 20px;
}

.alert-success {
    color: #08a045;
}

.dataTable-bottom {
    display:flex;
    flex-direction: row;
    flex-wrap: wrap;
    /*justify-content: center;*/
}
.dataTable-pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    /*position:absolute;*/
    align-self: center;
}
/*.dataTable-pagination li {
    
}*/
.dataTable-pagination a{
    padding: 6px 11px;
}
/*tr th.col-action{
    display: none !important;
}*/

/* M E D I A   Q U E R I E S */
/* ex-600px */

@media only screen and (max-width: 1023px) {

    /* INTERFACE ADMINISTRATEUR - USERS */  
    .users .col-group {
        display: none !important;
    }
    .users .col-location {
        display: none !important;
    }
    .users .col-name {
        width: 25%;
    }
    .users .dataTable-body>tr>td {
        justify-content: flex-start;
    }
    .users .col-login {
        width: 50%;
    }
    .users .col-sector {
        width: 60%;
    }
    .users .dataTable-body>tr {
        height: 100%;
    }
    .users td.buttons-dataTable {
        display: flex;
        justify-content: flex-end;
    }
    .users .dataTable-body {
        font-size: 16px;
    }

    /* INTERFACE ADMINISTRATEUR - USERS-USERFORM */

    



    .dataTable-wrapper{
        margin-bottom: 100px;
    }
    
    .admin-form_table_groups,
    #table_groups{
        display: flex;
        flex-direction: column;
    }
    .admin-form_table_groups tr,
    #table_groups thead tr {
        min-height: unset!important;
    } 
    .admin-form_table_groups thead,
    #table_groups thead {
        display:unset;
        width: 100%;
    }
    #table_groups .sub_table_title_bis{
    text-align: center !important;
    display: flex;
    align-items: center;
    height: 40px;
    padding: 0 10px;
    margin-left: 32.5%;
    }
    #table_groups>thead>tr>th:nth-child(2) {
        display: none;   
    }
    .users-groups .dataTable-sorter{
        display: unset;
    }
    .users-groups .dataTable-sorter::after,
    .users-groups .dataTable-sorter::before {
        display: none;
    }
    .users-groups .dataTable-table > thead > tr > th{
        border-bottom: unset;
    }
    #table_groups tbody tr:first-of-type {
        height: unset;
    }
    /*#table_groups .table-group-rights tr .cell-h1 td:not(:first-of-type){
        
    }*/
    #table_groups .table-group-rights thead{
        width: 100%;
    }
    .admin-form_table_groups thead tr,
    #table_groups .table-group-rights thead tr{
        justify-content: flex-start;
    }
    #table_groups .table-group-rights tr td:first-of-type {
        text-align: left;
        padding-right: 10px;
        width: 195px;
    }
    #table_groups .table-group-rights tr td:not(:first-of-type){
        display: flex;
        justify-content: center;
        width: 53px;
        min-width: unset;
        padding: 5px 0px;
    }
    .admin-form_table_groups{
        width: 450px;
        overflow-x: hidden;
    }
    .admin-form_table_groups thead{
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }
    .admin-form_table_groups tr{
        justify-content: flex-end;
        align-items: center;
        border: unset;
        padding: 0;
    }
    .admin-form_table_groups tr td:not(:first-of-type) {
        width: 50px;
        border: unset;
        justify-content: center;
    }
    .admin-form_table_groups tr td:first-of-type {
        width: 197px;
    }
    #table_groups .table-group-rights tr{
        justify-content: flex-end;
        border: unset;
    }
    #table_groups .tbody_groupe,
    #table_groups .table-group-rights{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
    }
    .table-group-rights *{
        min-height: unset;
        position: relative;
        flex-wrap: nowrap;
        overflow-x: hidden;
    }
    .action-button-wrapper{
        display: none;
    }
    .tools-header {
        padding: 0px 10px;
    }
    .users .dataTable_search_icon{
        display: flex;
        justify-content: flex-end;
        width: 100%;
    }
    

    /* #table_users tbody tr td, RBK */
    #table_menus tbody tr td,
    #table_modules tbody tr td{
        flex: 30%;
        justify-content: center;
    }

    #table_users tbody tr>.col-title,
    #table_menus tbody tr>.col-title,
    #table_modules tbody tr>.col-title{
        flex: 100%;
        justify-content: center;
    }

    
    
    #table_audit tbody, 
    #table_location_demande tbody{
        display: flex;
        flex-wrap: wrap;
    }
    
    #table_audit tbody tr{
        width: 100% !important;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }
    #table_users tbody tr,
    #table_menus tbody tr{
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        /* justify-content: center; RBK */
        align-items: center;
        text-align: center;
        padding: 2em;
        gap: 20px;
    }
    #table_menus tbody tr td a{
        flex-direction: column;
        align-items: center;
    }
    #table_users>tbody>tr>td:last-of-type{
        display: none !important;
    }
    
    
    #table_audit tbody tr td{
        width:20%;
    }
    #table_audit tbody tr td{
        flex-direction: column;
    }
    
    /* Style pour le bouton de suppression */
    .action-button.row-delete {
        display: block;
        margin-top: 10px;
    }
    .demandeList_datatable_nav {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: start;
        gap: 5;
        /*width: 100%;*/
        padding: 16px;
        font-size: 14px;
        border-bottom: 1px solid #ECECEC;
        overflow-x: auto;
        -ms-overflow-style: none;  /* IE and Edge */
        scrollbar-width: none;  /* Firefox */
    }

    /* Hide scrollbar for Chrome, Safari and Opera */
    .dataTable-table>tbody>tr>td {
        padding: 0;
        /* width: 100%; RBK */
    }
    .dataTable-top {
        border-bottom: 1px solid var(--blue-gray-100);
    }
    td.col-title {
        margin: 0 !important;
        /* padding: 0 !important; */
    } 
    .col-title a {
        font-size: 16px;
        color: var(--black);
    }
    tr.all-demandes {
        border-bottom: 1px solid var(--blue-gray-100);
    }
    .all-demandes {
        position: relative;
        padding: 8px 18px 50px 18px;
    }
    .all-demandes td:nth-child(2) {
        order: 5;
        display: flex;
        position: absolute;
        justify-content:flex-end;
        align-items: center;
        height: 30px;
        /*min-width: 140px;*/
        right: 0px;
        bottom: 0px;
        padding: 8px;
        transform: translateY(-50%);
        border-radius: 10px;
    }
    .all-demandes td:nth-child(3) {
        order: 4;
        width: 100%;
        margin: 5px 0px 0px 0px;
        padding: 0;
        font-size: 10px;
        font-weight: 400;
        color: var(--black);
    }
    .all-demandes td:nth-child(4) {
        order: 2;
        flex-basis: 100%;
        margin: 0;
        padding: 0;
        font-weight: 400;
        font-size: 14px;
        color: var(--black);
    }
    .all-demandes td:nth-child(5) {
        order: 3;
        flex-basis: 100%;
        margin: 0 !important;
        padding: 0;
        font-weight: 400;
        font-size: 14px;
        color: var(--black);
    }
    .all-demandes td:nth-child(6), 
    .all-demandes td:nth-child(7), 
    .all-demandes td:nth-child(8), 
    .all-demandes td:nth-child(9), 
    .all-demandes td:nth-child(10), 
    .all-demandes td:nth-child(11) {
        display: none;
    }
    .all-demandes td:nth-child(12) {
        order: 6;
        position: absolute;
        right: 20px;
        bottom: 0;
        transform: translateY(-50%);
    }
    .date-time {
        display: flex;
        flex-direction: row;
        gap: 5px;
    }
    .demandeSuccess-contenu {
        margin-bottom: 100px;
        padding: 8px;
    }
    .request-status {
        display: inline-flex; 
        justify-content: center;
        align-self: end;
        gap: 10px;
        min-width: 140px;
        font-size: 16px;
        padding: 2px 15px 2px 15px;
        border-radius: 10px;
        box-shadow: 1px 2px 0px 0px rgba(0,0,0,0.2);
        background-color: var(--dyn-color);
        /*outline: 2px solid var(--dyn-color);
        color: var(--dyn-color); 
        filter: saturate(10);*/
    }
    .request-status img {
        display: none;
        width: 20px;
        height: 20px;
        margin-top: 2px;
    }
    .admin-form_container>form {
        flex-direction: column;
        gap: 20px;
        margin-bottom: 160px;
        padding: 24px;
        /*Karim overflow-y: scroll;*/
        overflow-y: auto;
        -ms-overflow-style: none;
        scrollbar-width: none;
    }
    .dataTable-bottom {
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }
    .dataTable-pagination{
        position: unset;
        margin:0 !important;
    }



}
@media only screen and (max-width: 781px) {
    .dataTable-search{
        padding-left: 5px;
    }
}
@media only screen and (max-width: 700px) {
    #table_menus tbody tr,
    #table_modules tbody tr,
    
    #table_audit tbody tr{
        flex-direction: row;
        justify-content: center;
        align-items: center;
        text-align: center;
        gap:10px;
        padding: 2em;
    }
    /*.demandeList_datatable_nav a{
        min-width: max-content;
    }
    .demandeList_datatable_nav{
        flex-wrap: nowrap   !important;
        overflow: hidden,
    }*/
    
    #table_audit tbody tr td{
        flex: 30%;
        justify-content: center;
    }
    
    #table_audit tbody tr>.col-title{
        flex: 100%;
        justify-content: center;
    }
    
}
@media only screen and (max-width: 600px){
    
    .admin-form_subtitle_block_container{
        flex-direction: column;
        flex-wrap: wrap;
        width: 100%;
        gap: 20px;
    }
    .admin-form_subtitle_block_container_group>.admin-form_row>.admin-form_col>#secteursField{
        margin : 0 !important;
        max-width: 100%;
    }
    .admin-form_subtitle_block_container_group>.admin-form_row>.admin-form_col .checkboxes>.checkbox{
    
        width: 140px;
    }
    .filterContainer {
        flex-direction: column;
        width: 100%;
    }
    .dataTable-search{
        padding-left: 0;
    }
}
/* Ensure the container can shrink */
.dataTable-container {
    width: 100%; /* Allow the container to take full width */
    max-width: 100%; /* Ensure it can shrink */
    box-sizing: border-box; /* Include padding and border in the element's total width and height */
}

/* Ensure the table inside the container can shrink */
.dataTable-container table {
    width: 100%; /* Allow the table to take full width */
    max-width: 100%; /* Ensure it can shrink */
    box-sizing: border-box; /* Include padding and border in the element's total width and height */
}
@media only screen and (max-width: 500px) {
    .tools-header {
        flex-direction: column;
    }
    .dataTable-container {
        width: 100%; /* Ensure it takes full width on small screens */
        max-width: 100%; /* Ensure it can shrink */
    }
    #table_users{
        min-width: none;
    }
    #table_users tbody tr{
        /* justify-content: center; RBK */
        padding: 8px;
        gap: 20px;
    }
}

.table-coasts-categorie thead,
.table-coasts-secteur thead {
    display: table-header-group;
}

.table-coasts-categorie tr,
.table-coasts-secteur tr {
    display: table-row;
}

.table-coasts-categorie td,
.table-coasts-secteur td {
    display: table-cell;
}